import { ElementRef } from '@angular/core';
import { IgxStepComponent } from './step/step.component';
import { IgxStepperService } from './stepper.service';
export declare class IgxStepActiveIndicatorDirective {
}
export declare class IgxStepCompletedIndicatorDirective {
}
export declare class IgxStepInvalidIndicatorDirective {
}
export declare class IgxStepIndicatorDirective {
}
export declare class IgxStepTitleDirective {
    defaultClass: boolean;
}
export declare class IgxStepSubTitleDirective {
    defaultClass: boolean;
}
export declare class IgxStepContentDirective {
    private step;
    private stepperService;
    elementRef: ElementRef;
    private get target();
    defaultClass: boolean;
    role: string;
    get stepId(): string;
    id: string;
    get tabIndex(): number;
    set tabIndex(val: number);
    private _tabIndex;
    constructor(step: IgxStepComponent, stepperService: IgxStepperService, elementRef: ElementRef);
}
